petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSpaceSetType

Builds a particular PetscSpace

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSetType(PetscSpace sp, PetscSpaceType name)

Collective on PetscSpace

### Input Parameters

| sp | - The PetscSpace object
| name | - The kind of space

### Options Database Key

-petscspace_type <type> -Sets the PetscSpace type; use -help for a list of available types

### Keywords

PetscSpace, set, type

### See Also

PetscSpaceGetType(), PetscSpaceCreate()

Level:intermediate
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages